#!/usr/bin/perl

# $Id: awstats.CGI_WRAPPER.pl 4 2015-05-29 11:38:45Z jg $
# 
# Wrapper fuer den CGI Aufruf des AWStats Sciptes aus dem Default
# Debian-Pkg Pfad
#
# Da in virt. Hosts CGIs nur unter suexec laufen sollten, darf das
# Script nicht direkt aufgerufen werden.
#
# Damit der Wrapper unter suxec aufrufbar ist, muessen die Permissions
# entspr. gesetzt sein.
# + Schreibrechte nur fuer den User
# + Owner und Group muessen mit den im Apache konfigurierten uebereinstimmen
#   SuexecUserGroup USER GROUP
# + beides sowohl auf den Wrapper selber, als auch auf das Dir in dem
#   der Wrapper liegt.
#
# Der ConfigName muss entweder Namens-Schmema awstats.conf oder
# awstats." . $ENV{'SERVER_NAME'} . ".conf entsprechnen
# 
# Die Config fuer den virt. Host muss im gleichen Verzeichnis wie der
# Wrapper liegen, bzw. dort hin gelinkt werden.

my $WRAPPER_AWSTATS_CMD  = "/usr/lib/cgi-bin/awstats.pl";

my $WRAPPER_AWSTATS_CONF = "awstats.conf";
my $WRAPPER_AWSTATS_DOM_CONF = "awstats." . $ENV{'SERVER_NAME'} . ".conf";

# Haben wir eine passende Config?
if (! -r $WRAPPER_AWSTATS_CONF
    && ! -r $WRAPPER_AWSTATS_DOM_CONF) {
    print "Content-type: text/html\n\n";
    print "AWStats-Config not found";
    exit;
}

# Haben wir das eigentliche CGI Script?
if (! -r $WRAPPER_AWSTATS_CMD) {
    print "Content-type: text/html\n\n";
    print "AWStats not found";
    exit;
}
else {
    require $WRAPPER_AWSTATS_CMD;
}

